petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCShellSetSetUp

Sets routine to use to "setup" the preconditioner whenever the matrix operator is changed.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCShellSetSetUp(PC pc,PetscErrorCode (*setup)(PC))

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| setup | - the application-provided setup routine

### Calling sequence of setup

       PetscErrorCode setup (PC pc)

pc -the preconditioner, get the application context with PCShellGetContext()

### Notes

the function MUST return an error code of 0 on success and nonzero on failure.

### See Also

PCShellSetApplyRichardson(), PCShellSetApply(), PCShellSetContext()

### Level

developer

### Location

src/ksp/pc/impls/shell/shellpc.c

### Examples

src/ksp/ksp/examples/tutorials/ex15f.F90.html

### Implementations

PCShellSetSetUp_Shell(PC pc, PetscErrorCode (*setup) in src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages